db
Prev | Orchestra Opcodes and Operators | Next

## db

db — Returns the amplitude equivalent for a given decibel amount.

## Description

Returns the amplitude equivalent for a given decibel amount. This opcode is the same as ampdb.

## Syntax

    db(x)

This function works at a-rate, i-rate, and k-rate.

## Initialization

x -- a value expressed in decibels.

## Performance

Returns the amplitude for a given decibel amount.

## Examples

Here is an example of the db opcode. It uses the file db.csd.

Example 109. Example of the db opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o db.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Calculate the amplitude of 40 decibels.
      idecibels = 40
      iamp = db(idecibels)

      print iamp
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like:

    instr 1:  iamp = 100.000

## See Also

ampdb, cent, octave, semitone

## Credits

Example written by Kevin Conder.

New in version 4.16

Prev | Up | Next
dates | Home | dbamp